case ST7789_S4P:
	
	//----------display and color format setting--------------------// 
 	LCD_Write_COM(0x36); 
	LCD_Write_DATA(0x00); 
 	LCD_Write_COM(0x3a); 
	LCD_Write_DATA(0x05); 
	//------ST7789V Frame rate setting--------------// 

 	LCD_Write_COM(0xb7); 		//Gate Control
	LCD_Write_DATA(0x35); 
 	LCD_Write_COM(0xc6); 	  //Frame Rate Control in Normal Mode
	LCD_Write_DATA(0x0F); 

	//----------ST7789V Power setting----------------------// 
 	LCD_Write_COM(0xbb); 			   //VCOM Setting
	LCD_Write_DATA(0x30); 
 	LCD_Write_COM(0xc0); 			  //LCM Control
	LCD_Write_DATA(0x2c); 
 	LCD_Write_COM(0xc2); 	 //VDVVRHEN (C2h): VDV and VRH Command Enable
	LCD_Write_DATA(0x01); 
 	LCD_Write_COM(0xc3); 			 //VRH Set
	LCD_Write_DATA(0x10); 
 	LCD_Write_COM(0xc4);       //VDV Set	
	LCD_Write_DATA(0x20); 
 	LCD_Write_COM(0xd0); 	   //Power Control 1
	LCD_Write_DATA(0xa4); 
	LCD_Write_DATA(0xa1); 
	//------------------ST7789V gamma setting---------------// 
 	LCD_Write_COM(0xe0); 
	LCD_Write_DATA(0xd0); 
	LCD_Write_DATA(0x00); 
	LCD_Write_DATA(0x02); 
	LCD_Write_DATA(0x07); 
	LCD_Write_DATA(0x0a); 
	LCD_Write_DATA(0x28); 
	LCD_Write_DATA(0x32); 
	LCD_Write_DATA(0x44); 
	LCD_Write_DATA(0x42); 
	LCD_Write_DATA(0x06); 
	LCD_Write_DATA(0x0e); 
	LCD_Write_DATA(0x12); 
	LCD_Write_DATA(0x14); 
	LCD_Write_DATA(0x17); 
 	LCD_Write_COM(0xe1); 
	LCD_Write_DATA(0xd0); 
	LCD_Write_DATA(0x00); 
	LCD_Write_DATA(0x02); 
	LCD_Write_DATA(0x07); 
	LCD_Write_DATA(0x0a); 
	LCD_Write_DATA(0x28); 
	LCD_Write_DATA(0x31); 
	LCD_Write_DATA(0x54); 
	LCD_Write_DATA(0x47); 
	LCD_Write_DATA(0x0e); 
	LCD_Write_DATA(0x1c); 
	LCD_Write_DATA(0x17); 
	LCD_Write_DATA(0x1b); 
	LCD_Write_DATA(0x1e); 


    LCD_Write_COM(0x11);    //Exit Sleep 
    delay(120); 
				
    LCD_Write_COM(0x29);    //Display on 
    LCD_Write_COM(0x2c); 
	break;

